Skip to content

Identify users

post

/users/identify

Use this endpoint to identify an unidentified (alias-only, email-only, or phone number-only) user using the provided external ID.

Identifying users by email addresses and phone numbers

Refer to the Endpoint reference section for how Braze resolves users identified by email address or phone number, including the prioritization options.

Case sensitivity

The alias_name field is case-sensitive. Refer to the Endpoint reference section for how a capitalization mismatch affects your request.

Endpoint reference

This reference is generated from the OpenAPI specification for this endpoint. To run the endpoint, copy the generated cURL example and send it from your terminal or Postman. You can also download the raw OpenAPI spec for this page at /docs/assets/api/openapi/users_identify.yaml. Use this spec to validate that your requests include the correct parameters, fields, and structure before you send them. To learn how, see Use OpenAPI schemas for request validation.

New Stuff!